/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
#ifdef MAINLINE
#define PUBLIC
#else
#define PUBLIC extern
#endif

#include <stdio.h>
#include <stdlib.h>    /* for calloc() */
#include <ctype.h>     /* for isascii() */
#include <fcntl.h>     /* for open() */
#include <sys/types.h> /* for time() and geteuid() */
#include <sys/uio.h>   /* for write() */
#include <sys/stat.h>  /* for fstat() */
#include <sys/time.h>  /* for time() */
#include <pwd.h>       /* for getpwuid() */
#include <sys/wait.h>  /* for WIFEXITED() and WEXITSTATUS() */
#include <sys/param.h> /* for MAXPATHLEN */

#include <Xm/PushB.h>
#include <Xm/ToggleB.h>
#include <Xm/RowColumn.h>
#include <Xm/Label.h>
#include <Xm/Form.h>
#include <Xm/FileSB.h>
#include <Xm/Xm.h>
#include <Xm/List.h>
#include <Xm/TextF.h>
#include <Xm/Text.h>
#include <Xm/MessageB.h>
#include <Xm/MwmUtil.h>
#include <Xm/Separator.h>

#define NARGS          100
#define CMDSIZE        1000

#define BOOL  char
#define FALSE 0
#define TRUE  1

#define RUNNINGSTRING "Running"
#define OKSTRING      "  OK   "
#define NOTOKSTRING   "NOT OK "

#define PUBLICWRITEDIRECTORY "/tmp/"

/* for command line sdds specification */
#define NOREQ     0
#define REQSDDS   1
#define REQNOSDDS 2
/* NOTE: Must be in the same order as the #defines */
static char *Sdds_labels_strings[] = {"No Specification", "SDDS", "non-SDDS"};

/*******************/
/*                 */
/* Data Structures */
/*                 */
/*******************/

struct filerep
{
    int nbytes;
    char *buff;
    char *fname;
}; /* end struct filerep */

/****************************/
/*                          */
/* General Global Variables */
/*                          */
/****************************/

PUBLIC FILE *Log_fp;
PUBLIC Pixel Red_pixel, Green_pixel, Blue_pixel;
PUBLIC Widget Error_dialog, Message_dialog;

PUBLIC BOOL Read_setup;
PUBLIC BOOL Write_setup;
PUBLIC BOOL Addsub_setup;
PUBLIC BOOL Mult_setup;
PUBLIC BOOL Set_setup;
PUBLIC BOOL Definc_setup;

/* for -D and -I switches */
PUBLIC char Defines[CMDSIZE];
PUBLIC char Includes[CMDSIZE];
